Engine info request

Request of info engine

Endpoint

GET /api/engine/info/

Auth

Authorization: Bearer ${token}

Response

Json
[
    {
        "kind": "status",
        "payload": {
            "code": 0,
            "message": ""
        }
    },
    {
        "kind": "entity",
        "payload": {
            "identity": "",
            "directory": "",
            "volume": "",
            "config_profile": "",
            "version": "",
            "boot": 0,
            "host": {
                "arch": "",
                "boot": 0,
                "name": "",
                "os": "",
                "platform": "",
                "version": ""
            },
            "cpu": {
                "cores": 0,
                "model": "",
                "vendor": ""
            },
            "gpu": [
                {
                    "vendor": "",
                    "model": "",
                    "memory": 0
                }
            ],
            "memory": {
                "physical": 0,
                "swap": 0
            },
            "disk": [
                {
                    "name": "",
                    "path": "",
                    "size": 0
                }
            ],
            "network": [
                {
                    "address": "",
                    "name": ""
                }
            ],
            "runtime": {
                "docker": "",
                "podman": "",
                "singularity": "",
                "apptainer": ""
            }
        }
    }
]

Notes

  • Combines the engine metadata (identity, directory, volume, config_profile) with the full host attribute returned by /api/engine/attribute/.
  • Backs the dxflow engine info command.